[Overview][Classes][Procedures and functions][Index] | Reference for unit 'Spin' (#lcl)

# TCustomFloatSpinEdit.Create

Constructor for the class instance.

## Declaration

Source position: spin.pp line 73

`public constructor TCustomFloatSpinEdit.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. Create sets the style flags needed for the spin edit control, and sets the default values for properties in the class instance. The GetControlClassDefaultSize method is called and the return value is used to set the initial size for the control.